import request from '@/utils/request';

// 采购项目库列表
export const cgxmk_list = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/index',
        data,
    })
}

// 采购项目库添加
export const cgxmk_add = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/add',
        data: {
            issubmit: 1,
            jdbg_sbcg_cgxm: data.jdbg_sbcg_cgxm,
        }
    })
}

// 采购项目库编辑
export const cgxmk_edit = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/edit',
        data,
    })
}

// 采购项目库详情
export const cgxmk_detail = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/detail',
        data,
    })
}
// 采购项目库图片转pdf
export const cgxmk_pdf= (data = {}) => {
    return request({
      url: "/jdbg/sbcg_cgxm/export_pdf",
      data,
    });
}

// 采购项目库删除
export const cgxmk_del = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/delete',
        data,
    })
}

export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data,
    })